org.gjt.sp.jedit.textarea

## Class Selection.Rect

- java.lang.Object
- - org.gjt.sp.jedit.textarea.Selection
  - - org.gjt.sp.jedit.textarea.Selection.Rect

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  ColumnBlock

Enclosing class:
  Selection

    public static class Selection.Rect
    extends Selection

A rectangular selection.

Since:
  jEdit 3.2pre1

### Nested Class Summary

### Nested classes/interfaces inherited from class org.gjt.sp.jedit.textarea.Selection

`Selection.Range, Selection.Rect`

### Constructor Summary

Constructors
Constructor and Description
`Selection.Rect()`
`Selection.Rect(int start, int end)`
`Selection.Rect(int startLine, int start, int endLine, int end)`
`Selection.Rect(JEditBuffer buffer, int startLine, int startColumn, int endLine, int endColumn)`
`Selection.Rect(Selection sel)`

### Method Summary

Methods
`int` `getEnd(JEditBuffer buffer, int line)` Returns the end of the portion of the selection falling on the specified line.
`int` `getEndColumn(JEditBuffer buffer)`
`int` `getStart(JEditBuffer buffer, int line)` Returns the beginning of the portion of the selection falling on the specified line.
`int` `getStartColumn(JEditBuffer buffer)`

### Methods inherited from class org.gjt.sp.jedit.textarea.Selection

`clone, getEnd, getEndLine, getStart, getStartLine, overlaps, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Selection.Rect

    public Selection.Rect()

#### Selection.Rect

    public Selection.Rect(Selection sel)

#### Selection.Rect

    public Selection.Rect(int start,
                  int end)

#### Selection.Rect

    public Selection.Rect(int startLine,
                  int start,
                  int endLine,
                  int end)

#### Selection.Rect

    public Selection.Rect(JEditBuffer buffer,
                  int startLine,
                  int startColumn,
                  int endLine,
                  int endColumn)

### Method Detail

#### getStartColumn

    public int getStartColumn(JEditBuffer buffer)

#### getEndColumn

    public int getEndColumn(JEditBuffer buffer)

#### getStart

    public int getStart(JEditBuffer buffer,
               int line)

Description copied from class: `Selection`
Returns the beginning of the portion of the selection falling on the specified line. Used to manipulate selection text on a line-by-line basis.

Specified by:
  `getStart` in class `Selection`
Parameters:
  `buffer` - The buffer
  `line` - The line number

#### getEnd

    public int getEnd(JEditBuffer buffer,
             int line)

Description copied from class: `Selection`
Returns the end of the portion of the selection falling on the specified line. Used to manipulate selection text on a line-by-line basis.

Specified by:
  `getEnd` in class `Selection`
Parameters:
  `buffer` - The buffer
  `line` - The line number